Name:           xlog
Version:        1.5
Release:        3%{?dist}
Summary:        Logging program for Hamradio Operators

Group:          Applications/Communications
#licensing unclear to me, some files are GPLv2+, some are BSDish and some are LGPL
License:        unclear
URL:            http://pg4i.chronos.org.uk/linux/%{name}.html
Source0:        http://pg4i.chronos.org.uk/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig gtk2-devel libgnomeprint22-devel hamlib-devel
BuildRequires:  gettext, shared-mime-info, desktop-file-utils
#Requires:       

%description
xlog is a logging program for amateur radio operators. The log is stored
into a text file. QSO's are presented in a list. Items in the list can be
added, deleted or updated. For each contact, dxcc information is displayed
and bearings and distance is calculated, both short and long path.
xlog supports trlog, adif, cabrillo, edit, twlog and editest files.

%prep
%setup -q

#fix bogus .desktop file
sed s/ApplicationHamRadio/Application/g $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop > $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop.1
rm -f $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop && mv $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop.1 $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop

%build
%configure --enable-hamlib
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/xlog.desktop

%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :



%clean
rm -rf $RPM_BUILD_ROOT



%files -f %{name}.lang 
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README
%{_bindir}/xlog
%{_datadir}/xlog
%{_datadir}/pixmaps/*
%{_datadir}/applications/mimeinfo.cache
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_mandir}/man?/*


%changelog
* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.5-3
- Fix mimeinfo scriptlet
- Add desktop-file-utils shebang
- Fix .desktop file
- Update files list
- Update license
- Add gettext and shared-mime-info BRs

* Thu Nov 22 2007 Robert 'Bob' Jensen 1.5-2
- Fix BRs

* Mon Nov 19 2007 Robert 'Bob' Jensen 1.5-1
- Current xlog 1.6 requires gtk+-2.0 >= 2.12.0
- Build xlog 1.5 for F7

* Mon Nov 19 2007 Robert 'Bob' Jensen 1.3.1-1
- Initial Fedora spec
- use Joop's spec from version 1.3.1 as a base
